# -*- coding: utf-8 -*-
import RPi.GPIO as GPIO
import time
import picamera

kamera = picamera.PiCamera()
GPIO.setmode(GPIO.BCM)

seg={'a':21, 'b':17, 'c':4, 'd':7, 'e':25, 'f':24, 'g':22}
for s in "abcdefg":
  GPIO.setup(seg[s], GPIO.OUT, initial=True)

taste=15
GPIO.setup(taste, GPIO.IN)

zahl=[
  "abcdef",  #0
  "bc",      #1
  "abdeg",   #2
  "abcdg",   #3
  "bcfg",    #4
  "acdfg",   #5
  "acdefg",  #6
  "abc",     #7
  "abcdefg", #8
  "abcdfg",  #9
    ]

print ("Knopf drücken zum Start. Strg+C beendet das Programm")
try:
  while True:
    if GPIO.input(taste)==True:
      kamera.resolution = (800, 600)
      kamera.start_preview()
      for i in range(9,-1,-1):
        for s in zahl[i]:
          GPIO.output(seg[s], False)
        time.sleep(0.5)
        for s in "abcdefg":
          GPIO.output(seg[s], True)
      kamera.stop_preview()
      kamera.capture(time.asctime()+".jpg")
      print ("Knopf drücken zum Start. Strg+C beendet das Programm")

except KeyboardInterrupt:
  GPIO.cleanup()
  kamera.close()
